%define version 0.7
%define release %mkrel 2
Name: audacious-xmmsao
Summary: Audacious audio output plugin based on libao
Version: %{version}
Release: %{release}
License: GPL
Group: Sound
URL: http://mitglied.lycos.de/mldoering/audacious-plugins/
Source:	%{name}-%{version}.tar.bz2
Patch: audacious-xmmsao-0.7-include.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: audacious-devel
BuildRequires: libao-devel
Requires: audacious

%description
This is an audio output plugin for the Audacious Media Player based on
libao. It automatically detects running sound servers, e.g. Esound or
Arts.

%prep
%setup -q 
%patch -p1

%build
%make CFLAGS="%optflags -D_REENTRANT -DI_AM_A_THIRD_PARTY_DEVELOPER_WHO_NEEDS_TO_BE_KICKED_IN_THE_HEAD_BY_CHUCK_NORRIS"

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 755 libaoout.so %buildroot%_libdir/audacious/Output/libaoout.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO
%{_libdir}/audacious/Output/*.so

%changelog
* Mon Aug 28 2006 Götz Waschk <waschk@mandriva.org> 0.7-2mdv2007.0
- fix wrong include

* Mon Aug 28 2006 Götz Waschk <waschk@mandriva.org> 0.7-1mdv2007.0
- initial package
